<?php
namespace App\DataFixtures;

use Doctrine\Bundle\FixturesBundle\Fixture;
use Doctrine\Common\DataFixtures\DependentFixtureInterface;
use Doctrine\Persistence\ObjectManager;
use App\Entity\EventBattle;
use App\Entity\Event;
use Psr\Log\LoggerInterface;
use App\Entity\Hero;

class EventBattleFixtures extends Fixture implements DependentFixtureInterface
{

    private LoggerInterface $logger;

    public function __construct(LoggerInterface $logger)
    {
        $this->logger = $logger;
    }

    public function load(ObjectManager $manager)
    {
        /**
         *
         * @var Event $event
         */
        $event = $this->getReference(EventFixtures::REF_1);

        $eventBattle = new EventBattle($event, 1);
        $eventBattle->setEvent($event);

        $eventBattle->addHero($event->getHeroes()[0]);
        $eventBattle->addHero($event->getHeroes()[1]);

        $manager->persist($eventBattle);
        $manager->flush();
    }

    public function getDependencies()
    {
        return array(
            EventHeroFixtures::class
        );
    }
}

