<?php
namespace App\Entity;

use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;

class EventBattle
{

    private ?Event $event = null;

    private int $eid = 0;

    private Collection $heroes;

    private Collection $actions;

    private array $value = [];

    public function __construct(Event $event, int $eid)
    {
        $this->event = $event;
        $this->eid = $eid;
        $this->heroes = new ArrayCollection();
        $this->actions = new ArrayCollection();
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getEvent(): ?Event
    {
        return $this->event;
    }

    public function setEvent(?Event $event): self
    {
        $this->event = $event;

        return $this;
    }

    public function getHeroLhs(): ?EventHero
    {
        return $this->heroLhs;
    }

    public function setHeroLhs(?EventHero $heroLhs): self
    {
        $this->heroLhs = $heroLhs;

        return $this;
    }

    public function getHeroRhs(): ?EventHero
    {
        return $this->heroRhs;
    }

    public function setHeroRhs(?EventHero $heroRhs): self
    {
        $this->heroRhs = $heroRhs;

        return $this;
    }

    /**
     * @return Collection|EventHero[]
     */
    public function getHeroes(): Collection
    {
        return $this->heroes;
    }

    public function addHero(EventHero $hero): self
    {
        if (!$this->heroes->contains($hero)) {
            $this->heroes[] = $hero;
        }

        return $this;
    }

    public function removeHero(EventHero $hero): self
    {
        if ($this->heroes->contains($hero)) {
            $this->heroes->removeElement($hero);
        }

        return $this;
    }

    public function getEid(): ?int
    {
        return $this->eid;
    }

    public function getValue(): ?array
    {
        return $this->value;
    }

    public function setValue(array $value): self
    {
        $this->value = $value;

        return $this;
    }
}

